Name:           perl-App-CSV
Version:        0.08
Release:        12%{?dist}
Summary:        App::CSV Perl module
License:        MIT
Group:          Applications/Text
URL:            http://search.cpan.org/dist/App-CSV/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAL/App-CSV-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter >= 0:5.006000
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Getopt)
BuildRequires:  perl(Text::CSV)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Required by the tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::TempDir)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MooseX::Getopt)

%description
App::CSV Perl module

%package -n csv
Summary: A CSV command line Tool

%description -n csv
A command-line tool to manipulate CSV (and other delimited, line-based) files.

%prep
%setup -q -n App-CSV-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n csv
%{_bindir}/csv
%{_mandir}/man1/csv.1*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-11
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-9
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-6
- Perl 5.22 rebuild

* Sun Sep 28 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.08-5
- Add MooseX::Getopt for running too as pointed out in bug 1146184

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-4
- Perl 5.20 rebuild

* Wed Jul 23 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.08-3
- Remove useless find statement, thanks Christopher (bug 1062942)

* Wed Jul 16 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.08-2
- Follow Ciesla's suggestions
- Fix spec file based on Corsepius' example

* Wed Jul 09 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.08-1
- Update to upstream version

* Mon Feb 10 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.07-2
- Correct the issues mentioned in review (bug 1062942)

* Mon Feb 10 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.07-1
- Remove BuildRoot since there is no plan to support EPEL5
- Add doc

* Sun Feb 09 2014 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.07-1
- Initial spec
